function nn_params = FBGDmomentum(costFunction,initial_nn_params,options)

epochs = options.epochs;
learning_rate = options.learning_rate;
momentum = options.momentum;

nn_params = initial_nn_params;
delta = zeros(size(nn_params));

for iter = 1:epochs
    [J, grad] = costFunction(nn_params);
    if mod(iter,5) == 0
        fprintf('Iter: %d Objective: %.4f\n',iter,J);
    end
    if mod(iter,20) == 0
        fprintf('\nTraining accuracy: %.4f\n\n',evaluatetraining(nn_params,options));
    end
    delta = momentum*delta - learning_rate*grad;
    nn_params = nn_params + delta;
end
